Skip to main content
POST
/
v1
/
accounts
Create an account
curl --request POST \
  --url https://api-sandbox.circle.com/v1/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
  "description": "My account",
  "clientEntityId": "a3f1b2c4-d5e6-7890-abcd-ef1234567890"
}
'
{
  "data": {
    "accountId": "1000662322",
    "entityId": "a49f9b1d-75e0-44a9-b8d2-4293b3f11ebd",
    "type": "end_user_wallet",
    "description": "End User Wallet",
    "balances": [
      {
        "amount": "3.14",
        "currency": "USD"
      }
    ],
    "clientEntityId": "a3f1b2c4-d5e6-7890-abcd-ef1234567890"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
idempotencyKey
string<uuid>
required

Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.

Example:

"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"

description
string
required

Human-readable description of the account.

Example:

"My account"

clientEntityId
string<uuid>

Optional identifier of the client entity whose account should be created. If omitted, the account is created for the caller.

Example:

"a3f1b2c4-d5e6-7890-abcd-ef1234567890"

Response

Successfully created an account.

data
object

An account exposed by the Accounts API. This payload is returned exactly as surfaced by the live /v1/accounts alias of the wallets API.